commit:     bc0b32818d361a5e857c58d86d1d736c2e72df19
Author:     Justin Bronder <jsbronder <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 21 13:47:41 2015 +0000
Commit:     Justin Bronder <jsbronder <AT> gentoo <DOT> org>
CommitDate: Mon Dec 21 13:47:41 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=bc0b3281

sys-cluster/mpich:  bump 3.2

Package-Manager: portage-2.2.20.1

 sys-cluster/mpich/ChangeLog           |   5 ++
 sys-cluster/mpich/mpich-3.2-r1.ebuild | 122 ++++++++++++++++++++++++++++++++++
 2 files changed, 127 insertions(+)

diff --git a/sys-cluster/mpich/ChangeLog b/sys-cluster/mpich/ChangeLog
index f95ed1f..1d62518 100644
--- a/sys-cluster/mpich/ChangeLog
+++ b/sys-cluster/mpich/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*mpich-3.2-r1 (21 Dec 2015)
+
+  21 Dec 2015; Justin Bronder <jsbron...@gentoo.org> +mpich-3.2-r1.ebuild:
+  sys-cluster/mpich:  bump 3.2
+
   21 Nov 2015; Christoph Junghans <ott...@gentoo.org> -mpich-3.1.3-r99.ebuild:
   sys-cluster/mpich: bye bye multilib version
 

diff --git a/sys-cluster/mpich/mpich-3.2-r1.ebuild 
b/sys-cluster/mpich/mpich-3.2-r1.ebuild
new file mode 100644
index 0000000..2f0fc84
--- /dev/null
+++ b/sys-cluster/mpich/mpich-3.2-r1.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+FORTRAN_NEEDED=fortran
+
+inherit fortran-2 mpi
+
+MY_PV=${PV/_/}
+DESCRIPTION="A high performance and portable MPI implementation"
+HOMEPAGE="http://www.mpich.org/";
+SRC_URI="http://www.mpich.org/static/downloads/${PV}/${P}.tar.gz";
+
+SLOT="0"
+LICENSE="mpich"
+KEYWORDS="~amd64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+cxx doc fortran mpi-threads romio threads"
+
+COMMON_DEPEND="
+       dev-libs/libaio
+       >=sys-apps/hwloc-1.9
+       romio? ( net-fs/nfs-utils )
+       $(mpi_imp_deplist)"
+
+DEPEND="${COMMON_DEPEND}
+       dev-lang/perl
+       sys-devel/libtool"
+
+RDEPEND="${COMMON_DEPEND}"
+
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+pkg_setup() {
+       FORTRAN_STANDARD="77 90"
+       fortran-2_pkg_setup
+       MPI_ESELECT_FILE="eselect.mpi.mpich"
+
+       if use mpi-threads && ! use threads; then
+               ewarn "mpi-threads requires threads, assuming that's what you 
want"
+       fi
+}
+
+src_prepare() {
+       # Using MPICHLIB_LDFLAGS doesn't seem to fully work.
+       sed -i 's| *@WRAPPER_LDFLAGS@ *||' \
+               src/packaging/pkgconfig/mpich.pc.in \
+               src/env/*.in \
+               || die
+}
+
+src_configure() {
+       local c="--enable-shared"
+       local hydra_c="--with-hwloc-prefix=/usr"
+
+       # The configure statements can be somewhat confusing, as they
+       # don't all show up in the top level configure, however, they
+       # are picked up in the children directories.  Hence the separate
+       # local vars.
+
+       if use mpi-threads; then
+               # MPI-THREAD requries threading.
+               c="${c} --with-thread-package=pthreads"
+               c="${c} --enable-threads=runtime"
+       else
+               if use threads ; then
+                       c="${c} --with-thread-package=pthreads"
+               else
+                       c="${c} --with-thread-package=none"
+               fi
+               c="${c} --enable-threads=single"
+       fi
+
+       if ! mpi_classed; then
+               c="${c} --sysconfdir=${EPREFIX}/etc/${PN}"
+               c="${c} --docdir=${EPREFIX}/usr/share/doc/${PF}"
+       else
+               c="${c} --docdir=$(mpi_root)/usr/share/doc/${PF}"
+       fi
+
+       export MPICHLIB_CFLAGS=${CFLAGS}
+       export MPICHLIB_CPPFLAGS=${CPPFLAGS}
+       export MPICHLIB_CXXFLAGS=${CXXFLAGS}
+       export MPICHLIB_FFLAGS=${FFLAGS}
+       export MPICHLIB_FCFLAGS=${FCFLAGS}
+       export MPICHLIB_LDFLAGS=${LDFLAGS}
+       unset CFLAGS CPPFLAGS CXXFLAGS FFLAGS FCFLAGS LDFLAGS
+
+       econf $(mpi_econf_args) ${c} \
+               --with-pm=hydra \
+               --disable-fast \
+               --enable-versioning \
+               ${hydra_c} \
+               $(use_enable romio) \
+               $(use_enable cxx) \
+               $(use_enable fortran f77) \
+               $(use_enable fortran fc)
+}
+
+src_test() {
+       emake -j1 check
+}
+
+src_install() {
+       local d=$(echo ${ED}/$(mpi_root)/ | sed 's,///*,/,g')
+
+       default
+
+       mpi_dodir /usr/share/doc/${PF}
+       mpi_dodoc COPYRIGHT README{,.envvar} CHANGES RELEASE_NOTES
+       mpi_newdoc src/pm/hydra/README README.hydra
+       if use romio; then
+               mpi_newdoc src/mpi/romio/README README.romio
+       fi
+
+       if ! use doc; then
+               rm -rf "${d}"usr/share/doc/${PF}/www*
+       fi
+
+       mpi_imp_add_eselect
+}

Reply via email to